Skip to main content

Folders

List folders.

Workspaces API

Version: 1.0
Preview

Get a folder at the provided path/id with its child folders.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
workspace_iduuid
Required

Path to the folder to list children of.

ID of the folder to list children of.

Only show folders that have been deleted.

Max depth of child folders to return. Must be > 0 when provided.

Default: 100

Max number of results per page.

Number of results to skip before returning limit number of results.

A comma separated list of fields to order by, where the default sort order is ascending. To specify the sort order, prefix the field name with either asc: or desc: for ascending or descending respectively. Field names can be one of the following known sort fields: name, path, modified_at, created_at, folder_id, depth

Returns

200

Successful Response

countinteger
created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
limitinteger
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
offsetinteger
parent_idsstring[]
pathpath

created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
parent_idsstring[]
pathpath
totalinteger

Endpoint

GET
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders

Request

curl -X GET 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"count": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"limit": 0,
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"offset": 0,
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string",
"results": [
{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string"
}
],
"total": 0
}

Create a folder

Workspaces API

Version: 1.0
Preview

Creates a new folder in the workspace. The folder needs to have a name and either a parent_folder_id or a parent_folder_path.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
workspace_iduuid
Required

The name of the folder

The ID of the parent folder

The path of the parent folder

{
"name": "string",
"parent_folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parent_folder_path": "string"
}

Returns

201

Folder created successfully.

created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
parent_idsstring[]
pathpath

Endpoint

POST
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders

Request

curl -X POST 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string"
}

Get folder by path.

Workspaces API

Version: 1.0
Preview

Get a folder at the provided path.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
workspace_iduuid
Required

Only show folders that have been deleted.

Returns

200

Successful Response

created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
parent_idsstring[]
pathpath

Endpoint

GET
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/path{folder_path}

Request

curl -X GET 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/path{folder_path}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string"
}

Summarize folders.

Workspaces API

Version: 1.0
Preview

Get a summary of folders in this workspace.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
workspace_iduuid
Required

Number of results to skip before returning limit number of results.

Default: 100

Max number of results per page.

Only show folders that have been deleted.

Returns

200

Successful Response

countinteger
limitinteger
offsetinteger

folder_iduuid
pathpath
totalinteger

Endpoint

GET
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/summary

Request

curl -X GET 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/summary' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"count": 0,
"limit": 0,
"offset": 0,
"results": [
{
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"path": "string"
}
],
"total": 0
}

Delete a folder

Workspaces API

Version: 1.0
Preview

Deletes the folder with the given ID. This is not a permanent delete, folder can be restored.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
folder_iduuid
Required
workspace_iduuid
Required

Returns

204

Successful Response

Endpoint

DELETE
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}

Request

curl -X DELETE 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


Get folder by ID

Workspaces API

Version: 1.0
Preview

Returns a folder by its ID.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
workspace_iduuid
Required
folder_iduuid
Required

Only show folders that have been deleted.

Returns

200

Successful Response

created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
parent_idsstring[]
pathpath

Endpoint

GET
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}

Request

curl -X GET 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string"
}

Update a folder

Workspaces API

Version: 1.0
Preview

Updates a folder's details.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
folder_iduuid
Required
workspace_iduuid
Required

The new name of the folder

The ID of the new parent folder

The path of the new parent folder

{
"name": "string",
"parent_folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parent_folder_path": "string"
}

Returns

200

Successful Response

created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
parent_idsstring[]
pathpath

Endpoint

PATCH
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}

Request

curl -X PATCH 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string"
}

Restore a folder

Workspaces API

Version: 1.0
Preview

Restores a previously deleted folder.

Parameters

authorizationstring
Required

Set to "opt-in" to be able to use this API.

Set to "opt-in" to be able to use this API. This header is being deprecated. Please use the API-Preview header.

org_iduuid
Required
folder_iduuid
Required
workspace_iduuid
Required

Default: true

Only show folders that have been deleted.

Returns

200

Successful Response

created_atdate-time

emailstring | null
iduuid
namestring | null
deleted_atdate-time
deleted_byUserModel | null
folder_iduuid
modified_atdate-time

emailstring | null
iduuid
namestring | null
namestring
parent_idsstring[]
pathpath

Endpoint

POST
/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}

Request

curl -X POST 'https://{service_host}/workspace/instances/{org_id}/workspaces/{workspace_id}/folders/{folder_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"created_at": "2024-07-29T15:51:28.071Z",
"created_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"deleted_at": "2024-07-29T15:51:28.071Z",
"deleted_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"folder_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_at": "2024-07-29T15:51:28.071Z",
"modified_by": {
"email": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
},
"name": "string",
"parent_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"path": "string"
}

Was this page helpful?